smpicc(1)

NAME
smpicc - SMPI C wrapper compiler

SYNOPSIS
smpicc …

DESCRIPTION
smpicc is a wrapper around the C compiler defined when building SimGrid, adding the right flags in order to use the SimGrid library and SMPI, the MPI implementation within it. Most of the arguments filled to smpicc will be passed to the underlying compiler directly, except for --version which gives the SimGrid library version, and --compiler-version which gives the C compiler version. Please refer to the latter documentation in case of trouble.

ENVIRONMENT VARIABLES
All environment variables taken into account by the underlying compiler will be used by it, but note that the compiler can not be modified.

AUTHORS
The SimGrid team

COPYRIGHT AND LICENCE
Copyright (c) 2014-2025. The SimGrid Team. All rights reserved.

This program is free software; you may redistribute it and/or modify it under the terms of GNU LGPL (v2.1) license.

SEE ALSO
smpirun(1), smpicxx(1) smpiff(1) smpif90(1)